<?php
	//Affichage de tous les projets
	function displayProjects()
	{
		//Initialisation du chemin vers les projets
		$V_projectsPath='projects/';

		//Récupération de tous les projets
		$A_projectsList=scandir($V_projectsPath);

		//Initialisation des libellés de statut
		$A_statutsLabels=array
		(
			'wip'=>'En travaux',
			'demo'=>'Démonstration',
			'prod'=>'En production',
			'archive'=>'Archivé'
		);

		//Pour chaque projet trouvé
		foreach($A_projectsList as $V_project)
		{
			//Si le projet existe
			if(is_dir($V_projectsPath.$V_project)&&$V_project<>'.'&&$V_project<>'..')
			{
				//Initialisation du chemin vers le fichier XML
				$V_projectXmlPath=$V_projectsPath.$V_project.'/_g-man.xml';

				//Si le fichier XML existe
				if(file_exists($V_projectXmlPath))
				{
					//Récupération du contenu du fichier XML
					$O_projectXml=simplexml_load_file($V_projectXmlPath);

					//Récupération des informations du projet
					$V_projectAlias=(string) $O_projectXml->project->alias;
					$V_projectName=(string) $O_projectXml->project->name;
					$V_projectTooltip=(string) $O_projectXml->project->tooltip;
					$V_projectVersion=(string) $O_projectXml->project->version;
					$V_projectStatutCode=(string) $O_projectXml->project->statut;
					$V_projectStatutLabel=$A_statutsLabels[$V_projectStatutCode];
					$V_projectUrl=(string) $O_projectXml->project->url;
					$V_projectUrlHtml=!empty($V_projectUrl)?'<span><a href="'.$V_projectUrl.'" title="Accéder à la version en ligne"><span class="icomoon icon-new-tab2"></span></a></span>&nbsp;&nbsp;':null;
					$V_projectDatabase=(string) $O_projectXml->project->database;

					//Vérification de l'existence de la tuile
					file_exists('images/tiles/'.$V_projectAlias.'.jpg')?$V_pictureName=$V_projectAlias:$V_pictureName='_placeholder_298x198';

					//Vérification de l'existence d'une base de données
					$V_projectDatabase=='Y'?$V_databaseIcon='<span class="icomoon icon-database" title="Ce projet utilise une base de données"></span>&nbsp;&nbsp;':$V_databaseIcon=null;

					//Affichage du projet
					echo '<div>';
						echo '<p class="picture"><img src="images/tiles/'.$V_pictureName.'.jpg" alt="'.$V_projectAlias.'" /></p>';
						echo '<p class="toolbar"><span>v'.$V_projectVersion.' | <a href="'.($V_projectsPath.$V_project).'" title="'.(!empty($V_projectTooltip)?$V_projectTooltip:'Accéder à la version locale').'">'.$V_projectName.'</a></span>'.$V_projectUrlHtml.$V_databaseIcon.'<span><span class="icomoon icon-radio-checked statut-'.$V_projectStatutCode.'" title="'.$V_projectStatutLabel.'"></span></span></p>';
					echo '</div>';
				}
			}
		}
	}
?>